#!/usr/bin/env python
# -*- coding: utf-8 -*-

import optparse
from paver.easy import task, call_task, cmdopts, path


@task
@cmdopts([
    optparse.make_option('-p', '--prefix',
                         default='',
                         help='Prefix of created reports'),
])
def jenkins(options):
    """Runs the Jenkins tasks"""
    # Generate nosetest.xml
    # Generate coverage.xml
    # Generate flake8.log
    prefix = options.prefix
    if '/' in prefix:
        directory = path(prefix)
        if not prefix.endswith('/'):
            directory = directory.dirname()
        directory.mkdir_p()

    try:
        call_task('quality', options={
            'output': '{}flake8.log'.format(prefix),
            'strictness': 2,
        })
    except SystemExit:
        quality_ok = False
    else:
        quality_ok = True

    call_task('coverage', options={
        'xunit': '{}nosetests.xml'.format(prefix),
        'xcoverage': '{}coverage.xml'.format(prefix),
    })
    if not quality_ok:
        raise SystemExit(1)
